> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an auditor

> Create an auditor in Vanta.

Rate limit: 10 requests / minute.



## OpenAPI

````yaml https://spec.speakeasy.com/vanta/vanta/conduct-an-audit-with-code-samples post /auditors
openapi: 3.0.0
info:
  title: Conduct an audit
  version: 1.0.0
  description: >-
    The Auditor API lets audit firms conduct audits from a tool outside of
    Vanta. Unlock data syncing with Vanta through this API.


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /auditors:
    post:
      tags:
        - Auditors
      summary: Create an auditor
      description: |-
        Create an auditor in Vanta.

        Rate limit: 10 requests / minute.
      operationId: CreateAuditor
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddAuditorInput'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Auditor'
              examples:
                Example 1:
                  value:
                    id: 65fc81a3359c8508c9af880f
                    organizationId: 8c9af880f1a335965fc850c8
                    email: testauditor@audit.com
                    givenName: Sam
                    familyName: Auditor
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: typescript
          label: CreateAuditor
          source: |-
            import { Vanta } from "vanta-auditor-api-sdk";

            const vanta = new Vanta({
              bearerAuth: process.env["VANTA_BEARER_AUTH"] ?? "",
            });

            async function run() {
              const result = await vanta.auditors.create({
                email: "Genesis_Kunze87@yahoo.com",
                givenName: "<value>",
                familyName: "<value>",
              });

              console.log(result);
            }

            run();
        - lang: java
          label: CreateAuditor
          source: >-
            package hello.world;


            import com.vanta.vanta_auditor_api.Vanta;

            import
            com.vanta.vanta_auditor_api.models.components.AddAuditorInput;

            import
            com.vanta.vanta_auditor_api.models.operations.CreateAuditorResponse;

            import java.lang.Exception;


            public class Application {

                public static void main(String[] args) throws Exception {

                    Vanta sdk = Vanta.builder()
                            .bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
                        .build();

                    AddAuditorInput req = AddAuditorInput.builder()
                            .email("Genesis_Kunze87@yahoo.com")
                            .givenName("<value>")
                            .familyName("<value>")
                            .build();

                    CreateAuditorResponse res = sdk.auditors().create()
                            .request(req)
                            .call();

                    if (res.auditor().isPresent()) {
                        System.out.println(res.auditor().get());
                    }
                }
            }
components:
  schemas:
    AddAuditorInput:
      properties:
        email:
          type: string
          description: Email of the new user.
        givenName:
          type: string
          description: First name of the new user.
        familyName:
          type: string
          description: Last name of the new user.
      required:
        - email
        - givenName
        - familyName
      type: object
      additionalProperties: false
    Auditor:
      properties:
        id:
          type: string
        organizationId:
          type: string
          description: The unique identifier for the organization.
        email:
          type: string
          description: The email address of the auditor.
        givenName:
          type: string
          description: The given name (first name) of the auditor.
        familyName:
          type: string
          description: The family name (last name) of the auditor.
      required:
        - id
        - organizationId
        - email
        - givenName
        - familyName
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````